# spring-cloud-learn

spring cloud 微服务架构学习



springboot与spring cloud兼容版本

| Release Train | Boot Version |
| ------------- | ------------ |
| Hoxton        | 2.2.x        |
| Greenwich     | 2.1.x        |
| Finchley      | 2.0.x        |
| Edgware       | 1.5.x        |
| Dalston       | 1.5.x        |



### 应用端口配置

9000-9099:  服务注册中心端口

9100-9199:  服务提供方端口

9200-9299:  服务消费方端口

9300-9399：统一配置中心


### 问题

1.Eureka控制台出现
 EMERGENCY! EUREKA MAY BE INCORRECTLY CLAIMING INSTANCES ARE UP WHEN THEY'RE NOT. RENEWALS ARE LESSER THAN THRESHOLD AND HENCE THE INSTANCES ARE NOT BEING EXPIRED JUST TO BE SAFE.

说明Eureka已经进入了保护模式。

### 参考
1. https://windmt.com/2018/04/14/spring-cloud-1-services-governance/

